# @​BayernWLAN login with ESP

This repository contains two example how to log in to the captive portal of `@BayernWLAN` wifi networks using an ESP.

Normally after connecting to the network you would click the connect button in the captive portal of your browser to get access to the internet.

![Captive Portal](images/captive-portal.png)

Of course this is difficult to do with the ESP since you have neither a web browser with a graphical interface, nor a mouse to click any buttons.

Instead, we can emulate the click on the button by sending a specific `HTTP GET` request to the access point.

There is [one example][micropython-example] for use with MicroPython and a [second example][arduino-example] for the Arduino IDE Boards Manager.
The arduino code uses the libraries `HTTPClient.h` and `WiFi.h` which should be built-in.

[micropython-example]: example_micropython.py
[arduino-example]: example_arduino.ino
